/** Date.time formats for VueI18n */
const dateTimeFormats = {
  en: {
    short: {
      year: "numeric",
      month: "short",
      day: "numeric",
    },
    shortDateTime: {
      year: "numeric",
      month: "short",
      day: "numeric",
      hour: "numeric",
      minute: "numeric",
    },
    long: {
      year: "numeric",
      month: "long",
      day: "numeric",
      weekday: "long",
      hour: "numeric",
      minute: "numeric",
    },
    timeOnly: {
      hour: "numeric",
      minute: "numeric",
      second: "numeric",
    },
    longNumeric: {
      year: "numeric",
      month: "numeric",
      day: "numeric",
      hour: "numeric",
      minute: "numeric",
    },
    shortTime: {
      hour: "numeric",
      minute: "numeric",
    },
    dateWithWeekday: {
      year: "numeric",
      month: "long",
      day: "numeric",
      weekday: "long",
    },
  },
  de: {
    short: {
      year: "numeric",
      month: "short",
      day: "numeric",
    },
    shortDateTime: {
      year: "numeric",
      month: "short",
      day: "numeric",
      hour: "numeric",
      minute: "numeric",
    },
    long: {
      year: "numeric",
      month: "long",
      day: "numeric",
      weekday: "long",
      hour: "numeric",
      minute: "numeric",
    },
    timeOnly: {
      hour: "numeric",
      minute: "numeric",
      second: "numeric",
    },
    longNumeric: {
      year: "numeric",
      month: "numeric",
      day: "numeric",
      hour: "numeric",
      minute: "numeric",
    },
    shortTime: {
      hour: "numeric",
      minute: "numeric",
    },
    dateWithWeekday: {
      year: "numeric",
      month: "long",
      day: "numeric",
      weekday: "long",
    },
  },
};

export default dateTimeFormats;
